{% macro datatable(id='tableData') %}
    <style>
        thead input {
            width: 100%;
        }
    </style>
    <table id="{{ id|replace({' ':''}) }}" class="mdl-data-table" style="width:100%">
        <thead>
        </thead>

        <tbody>
        </tbody>
    </table>

{% endmacro %}

{% macro datatableJS(id='tableData',parent) %}
    <script>
        $(document).ready(function () {
            var {{ id|replace({' ':''}) }} = $("#{{ id|replace({' ':''}) }}").DataTable({
                processing: true,
                serverSide: true,
                searching: false,
                ajax: '/admin/getdatatable/{{ parent }}',

                columnDefs: [
                    {"title": "Mata Pelajaran", 'targets': 1, 'searchable': true, 'orderable': true},
                    {"title": "Jenjang", 'targets': 2, 'searchable': false, 'orderable': true},
                    {"title": "Method", 'targets': 3, 'searchable': false, 'orderable': true},
                    {"title": "Action", 'targets': 4, 'searchable': false, 'orderable': false},

                ],
                columns: [

                    {data: 'name', name: 'name'},
                    {data: 'level[, ].levelName', name: 'level.levelName'},
                    {data: 'method[, ].methodName', name: 'method.methodName'},
                    {
                        "data": 'idParent',
                        "width": '100',
                        "render": function (data, type, row, meta) {
                            return '<a href="#!" class="btn btn-sm btn-primary btn-sm" data-id="' + data + '" id="editData">Edit</a>' +
                                '<a href="#!" class="btn btn-sm btn-danger btn-sm" data-id="' + data + '" id="deleteData">Delete</a>'
                        }
                    },
                ]
            });
        })
    </script>
{% endmacro %}